## org.apache.xerces.xni.parser
Interface XMLEntityResolver

public interface XMLEntityResolver

This interface is used to resolve external parsed entities. The application can register an object that implements this interface with the parser configuration in order to intercept entities and resolve them explicitly. If the registered entity resolver cannot resolve the entity, it should return `null` so that the parser will try to resolve the entity using a default mechanism.

Version:
  $Id: XMLEntityResolver.java 447244 2006-09-18 05:20:40Z mrglavas $
Author:
  Andy Clark, IBM
See Also:
  `XMLParserConfiguration`

Method Summary
`XMLInputSource` `resolveEntity(XMLResourceIdentifier resourceIdentifier)` Resolves an external parsed entity.

Method Detail

### resolveEntity

    public XMLInputSource resolveEntity(XMLResourceIdentifier resourceIdentifier)
                                 throws XNIException,
                                        java.io.IOException

  Resolves an external parsed entity. If the entity cannot be resolved, this method should return null.
  Parameters:
    `resourceIdentifier` - location of the XML resource to resolve
  Throws:
    `XNIException` - Thrown on general error.
    `java.io.IOException` - Thrown if resolved entity stream cannot be opened or some other i/o error occurs.
  See Also:
    `XMLResourceIdentifier`

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.